VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec Class Reference

The class `Device.EntryCreateSpec` specifies a list of bootable virtual device classes. More...

List of all members.

## Public Member Functions
| EntryCreateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.boot.DeviceTypes.Type | Get_Type ()
| Virtual Boot device type.
void | SetType (vmware.vcenter.vm.hardware.boot.DeviceTypes.Type type)
| Virtual Boot device type.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The class `Device.EntryCreateSpec` specifies a list of bootable virtual device classes.

When a VM is being created and a list of `Device.EntryCreateSpec` is specified, the boot order of the specific device instances are not specified in this class. The boot order of the specific device instance will be the order in which the Ethernet and Disk devices appear in the `nics` and `disks` respectively.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::EntryCreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.boot.DeviceTypes.Type vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::Get_Type | ( |  | ) | `[inline]`

Virtual Boot device type.

override int vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::SetType | ( | vmware.vcenter.vm.hardware.boot.DeviceTypes.Type | type | ) | `[inline]`

Virtual Boot device type.

override string vmware::vcenter::vm::hardware::boot::DeviceTypes::EntryCreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DeviceTypes.cs